#pragma once

#include "Sensor.h"
#include "NetworkSync.h"

namespace Passer::RoboidControl 
{
class TemperatureSensor : public Sensor {
public:
    TemperatureSensor();

    float InCelsius();
    virtual void* GetValue() override;
    // virtual void BroadcastState() override;
protected:
    float temperature = 0; // in Celsius
};    
} // namespace Passer::RoboidControl 
using namespace Passer::RoboidControl;
